De tre skemaer
Hvert skema er et kort stykke tekst, som en telefon ved, hvordan den giver videre til den rette app. mailto: åbner e-mailappen, tel: åbner opkaldsskærmen, og sms: åbner beskedappen, med modtageren og nogle gange beskeden allerede udfyldt.
Telefonnumre virker bedst i international form med et plustegn og landekode, såsom +15035550123, så koden virker for besøgende fra andre lande.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (ældre konvention, læses stadig bredt)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (ældre e-mailkonvention)
Kodning af beskedteksten
Emnelinjer og beskedtekster i mailto- og sms-links skal procentkodes, så et mellemrum bliver til %20, og et og-tegn inde i teksten bliver til %26. Ukodede tegn kan afkorte beskeden eller ødelægge linket.
Platforme har ikke altid tolket sms-parameteren body ens, hvilket er én grund til, at den ældre SMSTO:-form stadig er almindelig i QR-generatorer. Test på både iPhone og Android, før du printer, er det pålidelige tjek.
Hvad disse koder ikke kan
En QR-kode kan ikke selv sende en e-mail, sende en sms eller foretage et opkald. Den åbner kun appen med felterne udfyldt, og den, der scanner, beslutter, om der skal trykkes på send eller ring.
Fordi modtageren er synlig, før der sendes, bør folk tjekke, at den matcher det, de forventer. En kode, der udfylder en besked til et nummer med forhøjet takst eller en ukendt adresse på forhånd, er et advarselstegn.